## org.firebirdsql.jca
Class FBResourceTransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  org.firebirdsql.jca.FBResourceException
                      org.firebirdsql.jca.FBResourceTransactionException

All Implemented Interfaces:
  Serializable

    public class FBResourceTransactionException

extends FBResourceException

Exception represents transaction error in resource.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Field Summary
`static String` `SQL_STATE_INVALID_TRANSACTION_STATE`
`static String` `SQL_STATE_TRANSACTION_ACTIVE`
`static String` `SQL_STATE_TRANSACTION_ROLLED_BACK`

Fields inherited from class org.firebirdsql.jca.FBResourceException
`SQL_STATE_GENERAL_ERROR`

Constructor Summary
`FBResourceTransactionException(String reason)` Create a new insance of `FBResourceTransactionException` with a given message and generic error code
`FBResourceTransactionException(String reason, Exception cause)` Create a new instance of `FBResourceTransactionException` with a given message and sub-exception.
`FBResourceTransactionException(String reason, String errorCode)` Create a new instance of `FBResourceTransactionException` with a given message and error code.
`FBResourceTransactionException(String reason, String errorCode, Exception cause)` Create a new instance of `FBResourceException` with a given message, error code and underlying exception.

Method Summary

Methods inherited from class org.firebirdsql.jca.FBResourceException
`getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SQL_STATE_INVALID_TRANSACTION_STATE

    public static final String SQL_STATE_INVALID_TRANSACTION_STATE

See Also:
  Constant Field Values

### SQL_STATE_TRANSACTION_ACTIVE

    public static final String SQL_STATE_TRANSACTION_ACTIVE

See Also:
  Constant Field Values

### SQL_STATE_TRANSACTION_ROLLED_BACK

    public static final String SQL_STATE_TRANSACTION_ROLLED_BACK

See Also:
  Constant Field Values

Constructor Detail

### FBResourceTransactionException

    public FBResourceTransactionException(String reason)

  Create a new insance of `FBResourceTransactionException` with a given message and generic error code

  Parameters:
    `reason` - The string message for this exception

### FBResourceTransactionException

    public FBResourceTransactionException(String reason,
                                          String errorCode)

  Create a new instance of `FBResourceTransactionException` with a given message and error code.

  Parameters:
    `reason` - The string message for this exception
    `errorCode` - The error code for this exception

### FBResourceTransactionException

    public FBResourceTransactionException(String reason,
                                          Exception cause)

  Create a new instance of `FBResourceTransactionException` with a given message and sub-exception.

  Parameters:
    `reason` - The string message for this exception
    `cause` - The underlying exception

### FBResourceTransactionException

    public FBResourceTransactionException(String reason,
                                          String errorCode,
                                          Exception cause)

  Create a new instance of `FBResourceException` with a given message, error code and underlying exception.

  Parameters:
    `reason` - The string message for this exception
    `errorCode` - The error code for this exception
    `cause` - The underlying exception

Copyright © 2001-2010. All Rights Reserved.